<?xml version="1.0" encoding="UTF-8"?>
<!-- rcCheckWaarde_vs_Key_v1.0.xslt, 17 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
			- KeyElement moet als Key zijn gedefinieerd in de aanroepende module
			- Gecontroleerd wordt of de waarde van TeControlerenElement wel (Controle = 'J') of niet (Controle='N') gelijk is aan de waarde van één van de in het bericht voorkomende key elementen; zo niet dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcCheckWaarde_vs_Key">
		<xsl:param name="TeControlerenElement"/>
		<xsl:param name="Controle"/>	<!-- mogelijke waarden in aanroep 'J' en 'N' -->
		<xsl:param name="KeyElement"/>	<!-- in de aanroepende module gedefinieerde Key -->
		<xsl:param name="Retourcode"/>

		<xsl:if test="($Controle='N' and key($KeyElement, $TeControlerenElement)) or
					($Controle='J' and not(key($KeyElement, $TeControlerenElement)))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($TeControlerenElement)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$TeControlerenElement"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>	
	</xsl:template>
</xsl:stylesheet>
