<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_Peildatum_v1.0.xslt, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van Peildatum, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->
					
	<xsl:template name="rcDatum_vs_Peildatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Peildatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$TeControlerenDatum!='' and
								($Vergelijking='kleinerofgelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								$Vergelijking='groterofgelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($Peildatum,'-',''))) or
								$Vergelijking='groterdan' and not(normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($Peildatum,'-',''))) or
								$Vergelijking='kleinerdan' and not(normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($Peildatum,'-',''))) or
								$Vergelijking='ongelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($Peildatum,'-',''))) or
								$Vergelijking='gelijkaan' and not(normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($Peildatum,'-',''))))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($Peildatum)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$Peildatum"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
