<?xml version="1.0" encoding="UTF-8"?>
<!-- rcDatum_vs_SpecifiekeDatum_v1.0.xslt, 17 april 2024-->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
		 	- als TeControlerenDatum een waarde bevat
				- controleer TeControlerenDatum met de gevraagde Vergelijking ten opzichte van SpecifiekeDatum, als TeControlerenDatum niet correct is, dan wordt Retourcode geretourneerd. -->

	<xsl:template name="rcDatum_vs_SpecifiekeDatum">
		<xsl:param name="TeControlerenDatum"/>
		<xsl:param name="Vergelijking"/>
		<xsl:param name="SpecifiekeDatum"/>
		<xsl:param name="Retourcode"/>
		
		<xsl:if test="$TeControlerenDatum!='' and					($Vergelijking='kleinerofgelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($SpecifiekeDatum,'-','')))  or
								$Vergelijking='groterofgelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($SpecifiekeDatum,'-',''))) or
								$Vergelijking='groterdan' and not(normalize-space(translate($TeControlerenDatum,'-','')) &gt; normalize-space(translate($SpecifiekeDatum,'-',''))) or
								$Vergelijking='kleinerdan' and not(normalize-space(translate($TeControlerenDatum,'-','')) &lt; normalize-space(translate($SpecifiekeDatum,'-',''))) or
								$Vergelijking='ongelijkaan' and (normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($SpecifiekeDatum,'-',''))) or
								$Vergelijking='gelijkaan' and not(normalize-space(translate($TeControlerenDatum,'-','')) = normalize-space(translate($SpecifiekeDatum,'-',''))))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam><xsl:value-of select="local-name($TeControlerenDatum)"/></gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$TeControlerenDatum"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
				<gen:BetrokkenElement>
					<gen:Elementnaam>PeilDatum</gen:Elementnaam>
					<gen:Elementwaarde><xsl:value-of select="$SpecifiekeDatum"/></gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
