<?xml version="1.0" encoding="UTF-8"?>
<!-- rcTotaalbedragDC_vs_Details_v1.0.xslt, 8 april 2024 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gen="http://ei.vektis.nl/generiekefuncties">

	<!-- deze routine voert de volgende controle uit: 
		 	- controleer of TotaalBedrag (kan positief of negatief zijn afhankelijk van TotaalBedragDCIndicator) gelijk is aan TotaalDebetBedragen - TotaalCreditBedragen, zo niet dan wordt Retourcode geretourneerd. -->
		 	
	<xsl:template name="rcTotaalbedragDC_vs_Details">
	    <xsl:param name="NaamBedrag"/>
		<xsl:param name="TotaalBedrag"/>
		<xsl:param name="TotaalBedragDCIndicator"/>
		<xsl:param name="TotaalDebetBedragen"/>
		<xsl:param name="TotaalCreditBedragen"/>
		<xsl:param name="Retourcode"/>
		<xsl:variable name="Totaal">
			<xsl:choose>
				<xsl:when test="$TotaalBedrag=0 or $TotaalBedragDCIndicator='D'">
					<xsl:value-of select="$TotaalBedrag"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$TotaalBedrag * -1"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="not(format-number($Totaal, '#.00') = (format-number((format-number($TotaalDebetBedragen, '#.00') - format-number($TotaalCreditBedragen, '#.00')), '#.00')))">
			<gen:Feedback>
				<gen:Retourcode><xsl:value-of select="$Retourcode"/></gen:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gen:BetrokkenElement>
					<gen:Elementnaam>
						<xsl:value-of select="$NaamBedrag"/>
					</gen:Elementnaam>
					<gen:Elementwaarde>
						<xsl:value-of select="$TotaalBedrag"/>
					</gen:Elementwaarde>
				</gen:BetrokkenElement>
				<gen:BetrokkenElement>
					<gen:Elementnaam>
						<xsl:value-of select="local-name($TotaalBedragDCIndicator)"/>
					</gen:Elementnaam>
					<gen:Elementwaarde>
						<xsl:value-of select="$TotaalBedragDCIndicator"/>
					</gen:Elementwaarde>
				</gen:BetrokkenElement>
			</gen:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>